### Hierarchy

- ClientResponse<ReadableStream>
  - ReadableStreamClientResponse

### Implements

- StreamProducer

## Index

### Constructors

- constructor

### Properties

- reader
- statusCode
- value

### Methods

- read

## Constructors

### constructor

- new ReadableStreamClientResponse(value: ReadableStream, statusCode: number): ReadableStreamClientResponse

- Overrides ClientResponse.constructor

  - Defined in client/StreamingClientResponse.ts:5

  #### Parameters

  - ##### value: ReadableStream

  - ##### statusCode: number

  #### Returns ReadableStreamClientResponse

## Properties

### Private reader

reader: ReadableStreamReader

- Defined in client/StreamingClientResponse.ts:5

### statusCode

statusCode: number

Inherited from ClientResponse.statusCode

- Defined in client/ClientResponse.ts:2

### value

value: ReadableStream

Inherited from ClientResponse.value

- Defined in client/ClientResponse.ts:2

## Methods

### read

- read(): Promise<object>

- Implementation of StreamProducer.read

  - Defined in client/StreamingClientResponse.ts:12

  #### Returns Promise<object>

Generated using TypeDoc